Pas moyen de passer à une version récente de TeXlive avec ma Debian Stretch stable, alors que j'ai activé les dépôts backports (libres et non libres). Je peux laisser le contenu de mon sources.list.

Dans le terminal, j'entre (en root) :

apt-get install -t stretch-backports texlive

Donne :

Lecture des listes de paquets... Fait Construction de l'arbre des dépendances Lecture des informations d'état... Fait texlive is already the newest version (2016.20170123-5). 0 mis à jour, 0 nouvellement installés, 0 à enlever et 116 non mis à jour.

apt policy texlive

Donne ceci :

texlive: Installé : 2016.20170123-5 Candidat : 2016.20170123-5 Table de version : *** 2016.20170123-5 500 500 http://ftp.fr.debian.org/debian stretch/main amd64 Packages 500 http://deb.debian.org/debian stretch/main amd64 Packages 100 /var/lib/dpkg/status

Qu'est-ce que j'ai loupé ?

Posée 10 Jui, 21:47

fred02840's gravatar image

fred02840
1.3k754
Taux d'acceptation : 10%

Modifiée 10 Jui, 21:48

J'essaie d'obtenir la nouvelle TeXlive en complétant le sources.list par la testing. L'apt update n'a pas révélé de problème ; je suis en train d'upgrader tout ça (1707 paquets à mettre à jour...).

(11 Jui, 01:02) fred02840 fred02840's gravatar image

Annulation de la procédure, sous peine de mettre la pagaille dans le zinzin... Mais on doit pouvoir arriver à utiliser une TeXlive toute neuve, non ?

(12 Jui, 17:33) fred02840 fred02840's gravatar image

a) La démarche de rétro-portage (backport) n'est pas systématique. Les paquets ne sont rétro-portés que s'il y a un besoin ou une contrainte identifié (et les bras pour le réaliser ;-)

La page https://backports.debian.org/changes/stretch-backports.html n'indique pas de (paquet) texlive rétroporté

b) texlive 2018 est a priori disponible dans "buster" https://packages.debian.org/fr/buster/texlive-base

c) Dans tous les cas, le passage incrémental (apt-get install / upgrade) d'une version donnée texlive à la dernière version texlive passe nécessairement par une phase «croiser les doigts». Une procédure envisageable serait de purger la version actuelle et de basculer vers (donc installer) la version nouvelle (pour éviter les transitions potentiellement délicates)

NB : je ne suis pas Debianeux, plutôt Ubuntunero... mais la logique des dépendances / distributions reste la même.

Lien permanent

Publiée 19 Jui, 18:23

GMR's gravatar image

GMR
613
Taux d'acceptation : 0%

Votre réponse
(dés)activer l'aperçu

Suivre cette question

Par courriel :

Une fois que vous serez enregistré, vous pourrez souscrire à n'importe quelle mise à jour ici

Par flux RSS :

Réponses

Réponses et commentaires

Bases de Markdown

  • *italique* ou _italique_
  • **gras** ou __gras__
  • Lien ::[texte](http://url.com/ "Titre ")
  • Image : ?![alt texte](/path/img.jpg "Titre ")
  • Liste numérotée : 1. Foo 2. Bar
  • Pour ajouter un passage à la ligne, ajoutez deux espaces à l'endroit où vous souhaitez que la ligne commence.
  • Les balises HTML de base sont également prises en charge.

Mots-clés de la question :

×15
×3
×2

Question posée : 10 Jui, 21:47

Question vue : 331 fois

Dernière mise à jour : 19 Jui, 18:23